<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>netcoreapp2.1</TargetFramework>
  </PropertyGroup>

  <ItemGroup>
    <Content Remove="wwwroot\css\laytpl-v1.1\demo.url" />
    <Content Remove="wwwroot\css\laytpl-v1.1\更新日志.txt" />
  </ItemGroup>

  <ItemGroup>
    <None Remove="ScaffoldingReadMe.txt" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Bailun.ServiceFabric.Authorize" Version="1.0.3" />
    <PackageReference Include="Bailun.ServiceFabric.Core" Version="1.1.0" />
    <PackageReference Include="Microsoft.AspNetCore" Version="2.1.7" />
    <PackageReference Include="Microsoft.AspNetCore.App" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc" Version="2.1.3" />
    <PackageReference Include="Microsoft.AspNetCore.StaticFiles" Version="2.1.1" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="2.1.14" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="2.1.14" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="2.1.14">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.Extensions.Logging.Debug" Version="2.1.1" />
    <PackageReference Include="Microsoft.VisualStudio.Web.BrowserLink" Version="2.1.1" />
    <PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="2.1.10" />
    <PackageReference Include="NPOI" Version="2.4.1" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Bailun.DC.Models\Bailun.DC.Models.csproj" />
    <ProjectReference Include="..\Bailun.DC.Services\Bailun.DC.Services.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Areas\DataWareHouse\Data\" />
    <Folder Include="Areas\DataWareHouse\Models\" />
    <Folder Include="Areas\ExportFile\Data\" />
    <Folder Include="Areas\ExportFile\Models\" />
    <Folder Include="Areas\ExportFile\Views\" />
    <Folder Include="Areas\Logistics\Data\" />
    <Folder Include="Areas\Logistics\Models\" />
    <Folder Include="Areas\Reports\Data\" />
    <Folder Include="Areas\Reports\Models\" />
    <Folder Include="Areas\Supplier\Data\" />
    <Folder Include="Areas\Supplier\Models\" />
    <Folder Include="Areas\TaskCenter\Data\" />
    <Folder Include="Areas\TaskCenter\Models\" />
    <Folder Include="Areas\Users\Data\" />
    <Folder Include="Areas\Users\Models\" />
    <Folder Include="Views\Api\" />
  </ItemGroup>

  <ItemGroup>
    <None Include="wwwroot\css\hplus\js\plugins\bootstrap-table\fixed-columns\bootstrap-table-fixed-columns.js" />
    <None Include="wwwroot\css\hplus\js\plugins\bootstrap-table\fixed-columns\bootstrap-table-fixed-columns.min.js" />
    <None Include="wwwroot\css\Layer-2.1\extend\layer.ext.js" />
    <None Include="wwwroot\css\Layer-2.1\layer.js" />
    <None Include="wwwroot\js\webuploader-0.1.5\Uploader.swf" />
  </ItemGroup>

  <ItemGroup>
    <Content Update="appsettings.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Update="Areas\Reports\Views\Finance\MonthSaleProfitNew.cshtml">
      <Pack>$(IncludeRazorContentInPack)</Pack>
    </Content>
  </ItemGroup>

</Project>
